Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::StateSensorClass Struct Reference

Sensor class that stores state sensor properties. More...

Inheritance diagram for peripheral::GatewaySensorManager::StateSensorClass:

## Public Attributes

sensors::Sensor TypeSpec | type
| state sensor type
Public Attributes inherited from peripheral::GatewaySensorManager::SensorClass
string | classId
| sensor class id

## Detailed Description

Sensor class that stores state sensor properties.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl